<?php
/**
 * bexplore Header Settings panel at Theme Customizer
 *
 * @package bexplore
 * @since 1.0.0
 */

add_action( 'customize_register', 'bexplore_header_settings_register' );

function bexplore_header_settings_register( $wp_customize ) {


	/**
     * Add General Settings Panel
     *
     * @since 1.0.0
     */
    $wp_customize->add_panel('bexplore_header_settings_panel',array(
        'priority'       => 10,
        'capability'     => 'edit_theme_options',
        'theme_supports' => '',
        'title'          => __( 'Header', 'bexplore' ),
    ));


    $wp_customize->get_section('header_image')->panel = 'bexplore_header_settings_panel';
    $wp_customize->get_section('header_image')->priority = 3;



	/**
	 * Header Logo and background section
	 *
	 * @since 1.0.0
	 */
	$wp_customize->add_section(
		'bexplore_header_logo_and_bg_section',
		array(
			'title'         => __( 'Header Logo & Background', 'bexplore' ),
			'description'   => __( 'Set the settings of header with background.', 'bexplore' ),
			'priority'      => 15,
			'panel'         => 'bexplore_header_settings_panel',
		)
	);

	$wp_customize->get_control('custom_logo')->section = 'bexplore_header_logo_and_bg_section';

	$wp_customize->add_setting(
		'bexplore_header_bg_clr',
		array(
			'default' => '#ffffff',
			'transport' => 'refresh',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'bexplore_header_bg_clr',
			array(
				'label'      => __( 'Header Background Color', 'bexplore' ),
				'section'    => 'bexplore_header_logo_and_bg_section',
				'priority'   => 20,
			) )
	);

	$wp_customize->add_section(
		'be_header_top_section',
		array(
			'title'         => __( 'Header Top Section', 'bexplore' ),
			'description'   => __( 'Set Header Top Text Color and Background Color', 'bexplore' ),
			'priority'      => 50,
			'panel'         => 'bexplore_header_settings_panel',
		)
	);
	$wp_customize->add_setting(
		'be_header_top_bg_clr',
		array(
			'default' => '#f3f4f5',
			'transport' => 'refresh',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'be_header_top_bg_clr',
			array(
				'label'      => __( 'Header Top Background Color', 'bexplore' ),
				'section'    => 'be_header_top_section',
				'priority'   => 20,
			) )
	);

	$wp_customize->add_setting(
		'be_header_top_text_clr',
		array(
			'default' => '#121212',
			'transport' => 'refresh',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'be_header_top_text_clr',
			array(
				'label'      => __( 'Header Top Text Color', 'bexplore' ),
				'section'    => 'be_header_top_section',
				'priority'   => 20,
			) )
	);

	$wp_customize->add_setting(
		'be_header_top_text_hr_clr',
		array(
			'default' => '#706fd3',
			'transport' => 'refresh',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'be_header_top_text_hr_clr',
			array(
				'label'      => __( 'Header Top Text Hover Color', 'bexplore' ),
				'section'    => 'be_header_top_section',
				'priority'   => 20,
			) )
	);

	$wp_customize->add_setting(
		'be_top_social_text_clr',
		array(
			'default' => '#60A5FA',
			'transport' => 'refresh',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'be_top_social_text_clr',
			array(
				'label'      => __( 'Top Social Text Color', 'bexplore' ),
				'section'    => 'be_header_top_section',
				'priority'   => 20,
			) )
	);

	$wp_customize->add_setting(
		'be_top_social_text_hr_clr',
		array(
			'default' => '#6366F1',
			'transport' => 'refresh',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'be_top_social_text_hr_clr',
			array(
				'label'      => __( 'Top Social Text Hover Color', 'bexplore' ),
				'section'    => 'be_header_top_section',
				'priority'   => 20,
			) )
	);

	$wp_customize->add_setting(
		'bexplore_header_border_clr',
		array(
			'default' => '#f3f4f5',
			'transport' => 'refresh',
			'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	$wp_customize->add_control(
		new WP_Customize_Color_Control(
			$wp_customize,
			'bexplore_header_border_clr',
			array(
				'label'      => __( 'Header Border Color', 'bexplore' ),
				'section'    => 'bexplore_header_logo_and_bg_section',
				'priority'   => 20,
			) )
	);

}
